Change log for Bos Wars
-----------------------

Version 2.7 (2013 06 16):
- Added the Boxland map (Iwan Gabovitch)
- Added the islands campaign (Connor MacKay)
- Extended the swindler campaign (Michiel van der Wulp)
- Added sounds for aircraftfactory, artil, destroyer and shipyard (Iwan Gabovitch)
- Do not show waypoints for enemy units when SHIFT key is pressed down (Pali Rohar)
- Added support for 1024x600 and 1366x768 video modes (Kalle Olavi Niemitalo)
- Updated the development documentation (Kalle Olavi Niemitalo)
- Added maps: zombies, cannons, smalland, the small ring (Michiel van der Wulp)
- Improved the clover map (Michiel van der Wulp)
- Added 5 maps from the overpopulation series (Michiel van der Wulp)
- Added goshgeom patches (Michiel van der Wulp)
- Added Lithuanian translation (Vytautas Raškevičius)
- Fixed bug "uncontrollable with Wacom tablet when in full-screen mode"
  as reported at http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559615 
  (Kalle Olavi Niemitalo)
- Added Swamp Dwellers map (Michiel van der Wulp)
- Added hungarian translation (Ur Balazs)
- Added the trenches map (Michiel van der Wulp)
- Partially fixed bug #30994: Make AI work with naval units (Kalle Olavi Niemitalo)
- Fixed bug #30971: Units attack buildings too stubbornly (Kalle Olavi Niemitalo)
- Fixed bug #30856: Workers swich to other resourse type after one deposit complete (Kalle Olavi Niemitalo)
- New arrow and cross cursor graphics (Leonid Gutmann)
- Added "terrain" build restriction (Kalle Olavi Niemitalo)
- Added the Tokelau map (Michiel van der Wulp)
- Added the Volcanic Grounds map (Michiel van der Wulp)
- Added the Chilka map (Michiel van der Wulp)
- Added undo groups to the map editor (Kalle Olavi Niemitalo)
- Added ctrl-shift-t hotkey in the editor to tile the selected patch (Jimmy Salmon)
- Added patch themes (Jimmy Salmon)
- Fixed bug #30173: Map editor should require at least one player type to be a person (Jimmy Salmon)
- Fixed bug #29740: Map editor adds units even if dragging began in the sidebar (Jimmy Salmon)
- Fixed bug #30164: Map editor doesn't close terrain file (Jimmy Salmon)
- Fixed bug #30244: Crash with some map sizes in minimap (Francois Beerten)
- Added Clover map (Michiel van der Wulp)
- Fixed bug #30112: How to set the default for "Fog of War" in "Start Game" is not obvious (Kalle Olavi Niemitalo)
- Added AllowTerrain* flags in DefineUnitType (Kalle Olavi Niemitalo)
- Distinguish between shallow and deep water (Kalle Olavi Niemitalo)
- Added Gosh patches (Tejay Penfold)
- Added Shipyard (Tejay Penfold and Francois Beerten)
- Added "Show Terrain Attributes" to the map editor (Kalle Olavi Niemitalo)
- Fixed bug #29731: Replacing patches in the map editor discards CMapField::Flags set because of units (Kalle Olavi Niemitalo)
- Added Multiple Fronts map (Michiel van der Wulp)
- Added a file browser and a size suggestion to Create New Patch (Kalle Olavi Niemitalo)
- Added Atoll Walk map (Michiel van der Wulp)
- Added destroyer ship (Tejay Penfold and Francois Beerten)
- Added water scout unit (Tejay Penfold and Francois Beerten)
- Fixed TextField crash on shift+arrow after backspace (Kalle Olavi Niemitalo)
- Fixed bug #28951: Undo/redo in the editor now supports patches (Jimmy Salmon)
- Added unit-rocksfield to the map editor (Kalle Olavi Niemitalo)
- Updated tolua++ to 1.0.93 (Jimmy Salmon)
- Fixed bug #22211: Arrow keys don't work right when selecting maps (Jimmy Salmon)
- Fixed bug #29096: Adjacent air units flicker in z-order (Jimmy Salmon)
- Fixed bug #29533: No way to exit the campaign in the briefing screen (Jimmy Salmon)
- Fixed bug #29389: Save/recall map position not preserved during save/reload of game (Jimmy Salmon)
- Fixed bug #29284: Custom patches aren't completely cleaned (Jimmy Salmon)
- Build static binary without requiring apg++ from autopackage (Francois Beerten)
- Fixed bug #29100: Cannot translate resource names shown in map editor (Jimmy Salmon)
- Add build script using fabricate (Francois Beerten)
- Add moon patches (Tejay Penfold)
- Fixed bug #29274: Disabling command log crashes and doesn't always work as expected (Jimmy Salmon)
- Fixed bug #29579: KillUnitAt takes 5 parameters (Jimmy Salmon)

Version 2.6.1 (2010 04 18):
- Fix the position of the morels (Kalle Olavi Niemitalo)
- Correct the draw level of some unit types (Kalle Olavi Niemitalo)
- Update the documentation of the scripting API (Francois Beerten)
- On Windows, use the application directory to save user data (Nehal Mistry)
- Fix crash at the end of the Tutorial campaign (Francois Beerten)

Version 2.6 (2010 04 11):
- Fix crash on exit in Windows (Francois Beerten, Nehal Mistry, Jimmy Salmon)
- Fix bug map editor places magma pump next to hotspot. (Kalle Olavi Niemitalo)
- Support libpng 1.4 (Francois Beerten)
- Fix resource consumption and production issues when rescueing units 
  (Kalle Olavi Niemitalo)
- Add portuguese (pt-pt) translation (Tiago Faria)
- Add the 4on4 map (Michiel van der Wulp)
- Add the hospitality map (Kyran Jackson)
- Add italian translation (Simone Rucci)
- Fix bug #29110 "Fatal error 'bad player' when loading map to editor"
  (Francois Beerten)
- Discard NewOrder if it refers to destroyed unit (Kalle Olavi Niemitalo)
- Recover map specific triggers and settings when loading a saved game (Francois Beerten)
- Add the bottleneck map (Kyran Jackson)
- Make GLMaxTextureSize configurable for systems where the value reported
  by OpenGL causes slow displays (Kalle Olavi Niemitalo)
- Add the Go-East map (Michiel van der Wulp)
- Added a new background image for the swindler campaign (Johannes Engelhardt, Francois Beerten)
- Add the lava-river map (Michiel van der Wulp)
- Add the Swindler campaign (Francois Beerten and Ruben Diaz)
- Fix teams in UnSelectUnit (Kalle Olavi Niemitalo)
- Removed broken elites campaign and maps (Francois Beerten)
- Add code for dumping all received SDL events to stdout
  (Kalle Olavi Niemitalo)
- Work around bug #27982 mouse centered when clicking in the window after
  having left. (Kalle Olavi Niemitalo and Francois Beerten)
- Fix bug #25178 in patch editor; mouse placement confusion (Jimmy Salmon)
- Nukes target the center of the target. (Jann Horn)
- Fix use of settings from pkg-config in SCons. (Francois Beerten)
- Replace the deprecated SCons Options class by Variables.
  This requires SCons 0.98.1 or higher. (Francois Beerten)
- Replace the deprecated SCons calls to env.Copy by calls to env.Clone.
  This requires SCons 0.96.93 or higher. (Francois Beerten)
- Remove incomplete Dorcoz unit (Francois Beerten)
- Fix header includes for GCC 4.4 (Francois Beerten)
- Add the "grass" set of patches (Johannes Engelhardt)
- Added undo and redo to the editor (Jimmy Salmon)
- Add new defeat background graphic (Johannes Engelhardt)
- Quick drawing in the main menus (Jimmy Salmon)
- Added patch support to the editor (Jimmy Salmon)
- Add the heli unit (Johannes Engelhardt and Francois Beerten)
- Add the big gun turret (Johannes Engelhardt and Francois Beerten)
- Support lua 5.1 only (Jimmy Salmon and Francois Beerten)
- New patch based map system (Jimmy Salmon)

Version 2.5.1:
- Fixed crash in savegames with destroyed buildings seen by other players (Jimmy Salmon)

Version 2.5.0 (2008 3 1):
- Free OpenGL textures before changing video mode since not all platforms
destroy the OpenGL context (Jimmy Salmon)
- Fix crash where graphics were loaded before the video subsystem was
started (Francois Beerten)
- Remove runtime libraries from the repository (Francois Beerten)
- Don't let an engineer build on top of itself (Jimmy Salmon)
- Allow recycling buildings under construction (Jimmy Salmon)
- Set the start position in campaign level 5 (Jimmy Salmon)
- Fix engineer build icons. (Francois Beerten)

Version 2.5.0 prerelease (2008 1 26):
- Replace magnifying glass cursor by a variant of the elites claw cursor.
(Francois Beerten)
- Fix screenshots at 16bpp (Jimmy Salmon)
- Show if the user cheated on the results screen (Jimmy Salmon)
- Add wetlands02 map (Lois Taulelle and llearch n'n'daCorna)
- Make the particle based explosions configureable (Francois Beerten)
- Fixed bug selecting a map in a subdir (Jimmy Salmon)
- Fix unload button on the APC unit (llearch n'n'daCorna) 
- Auto repair while patrolling (Jimmy Salmon)
- Added patrol button for engineer (Jimmy Salmon)
- Enable auto repair for engineers (Jimmy Salmon)
- Check for queued orders after harvesting a resource (Jimmy Salmon)
- Don't flush orders when repairing a building under construction (Jimmy Salmon)
- Don't create unnecessary flip images, saves a lot of mem (Jimmy Salmon and Francois Beerten)
- Camps can train engineers (Francois Beerten)
- Fix crash when killing a rafflesia (Francois Beerten)
- Added Swedish translation (Olov Gustavsson)
- Made message font and scroll speed configurable (Jimmy Salmon)
- Fixed rounding bug in minimap (Jimmy Salmon)
- Added Dutch translation (Foppe Benedictus, Eric Kok)
- Fixed hot keys in different languages (Jimmy Salmon)
- Added gimme cheat (Jimmy Salmon)
- Enable starting a map from the command line (Francois Beerten)
- Added StretchImage option to TitleScreen (Jimmy Salmon)
- Fixed crash disabling fog of war (Jimmy Salmon)
- Display the Bos Wars logo image by default instead of the video 
  (Sébastien Kerguen, Francois Beerten)
- Add missing const specifiers to fix compilation with 
  GCC 4.2 (Loïs Taulelle, Forjan Frederic)
- Fix compilation error in focushandler.cpp (Francois Beerten)
- Fixed attack range off by 1 bug (Jimmy Salmon)
- Updated nuclear missile graphic (Tejay Penfold)
- Added guerilla map (Tejay Penfold)
- Added random-frame to animations (Jimmy Salmon)
- Added particle system explosions (Jimmy Salmon)
- Increase the damage of nuke missiles (Francois Beerten)
- Abort with an error when using an unknown unittype in ai scripts (Francois Beerten)
- Fix bug with buildings under construction that could attack (Francois Beerten)
- Allow recycling of friendly and ennemy buildings (Francois Beerten)
- Replaced fire and explosion graphics (Tejay Penfold)
- Add "A Bridge Too Far" map (Tejay Penfold, Francois Beerten)
- Fix crash with non-square maps (Francois Beerten)
- Escape lua strings when saving (Jimmy Salmon)
- Added popups for button panel buttons (Jimmy Salmon)
- Morels and antharus are harvestable (Francois Beerten)
- Localized tips and keystroke help menus (Jimmy Salmon)
- Faster map drawing when using an image map (Jimmy Salmon)
- Convert some images to display format for faster drawing (Jimmy Salmon)

Version 2.4.1 (2007 9 2):
- Fixed load/save bug (Jimmy Salmon)
- Move to new map layout (Francois Beerten)
- Added Portuguese translation (Giovanni Oliveira)
- Made the language options menu more dynamic (Francois Beerten)
- Added the ability to change directories in the file browser (Jimmy Salmon)
- Using OpenGL is a run-time option (Jimmy Salmon)
- Fixed compilation on OS X (Francois Beerten)

Version 2.4.0 (2007 8 6):
- Fixed bug loading a save game where a unit contains a unit that hasn't been loaded yet (Jimmy Salmon)
- Add Czech translation (Radim Luža)
- Fix building of static builds (Francois Beerten)
- New introduction video (Sébastien Kerguen)
- Added new tutorial (Jimmy Salmon)
- Fixed clipped rectangle drawing with OpenGL (Jimmy Salmon)
- Highlight selected listbox item so it's easier to see (Nehal Mistry)
- Improve the detection of lua in SConstruct (Francois Beerten)
- Add detection of strnlen in SConstruct (Francois Beerten)

Version 2.4.0 prerelease (2007 7 3):
- Added game types (Jimmy Salmon)
- Added support for widescreen resolutions (Jimmy Salmon)
- Update maps for the new economy (Francois Beerten)
- Play a sound when receiving a chat message (Jimmy Salmon)
- Fix attacks that could be shortened (Francois Beerten)
- Add Spanish translation (Xavier Paz)
- Renamed Development Yard into Aircraft Factory, with new voices (Loïs Taulelle)
- Added ProductionEfficiency for hotspots (Jimmy Salmon)
- Fixed starting resources game option (Jimmy Salmon)
- Fixed several editor bugs (Jimmy Salmon)
- Add Pitcher and Rafflesia plants (Xavier Paz, François Beerten)
- Rebalanced unit characteristics (François Beerten)
- Removed the crystals (François Beerten)
- Make trees harvestable (Francois Beerten)
- Added support for compressed textures with OpenGL (Jimmy Salmon)
- Added EditorNeutralTypes for unit types that should always be assigned to
the neutral player (Jimmy Salmon)
- Removed GetPlayerData and SetPlayerData, use tolua instead (Jimmy Salmon)
- New resource based economy (Jimmy Salmon, Francois Beerten)
- Fix SConstruct for lua 5.1 (Francois Beerten)
- Add unitstats.py tool that parses all unit stats and generates CSV file
with all important stats or regenerates the scripts (Francois Beerten)
- Add mingw cross-compiling build variant in SConstruct (Francois Beerten)
- Add support for build variants in SConstruct (Francois Beerten)
- Added turkish translation (Murat Senel)

Version 2.3.0 (2007 3 4):
- Fixed default trigger to correctly check for enemy units (Jimmy Salmon)
- Added a script that generates all the distribution packages (Francois
Beerten)
- Added static building option (Francois Beerten)
- Added autopackage configuration files (Francois Beerten)
- Fixed network incompatibility between different architectures (Jimmy Salmon)
- Renamed the project into Bos Wars (Francois Beerten)
- Initialize the replay log when loading a saved game (Jimmy Salmon)
- Support Lua 5.1 (Francois Beerten, Jimmy Salmon)
- Don't count units under construction in GetNumUnitsAt (Jimmy Salmon)
- Removed 'Do it now' message (Jimmy Salmon)
- In SConstruct, seperate user build options from detection of libs and alike. 
  This way, when SConstruct changes, the user build options are not lost 
  any more. (Francois Beerten)
- Fixed off by 1 preventing units from walking along the bottom and right 
  edges of the map (Jimmy Salmon)
- Changed PlayerMax to 8 (Jimmy Salmon)
- Engine source code cleanups (Jimmy Salmon, Francois Beerten)
- Removed features and dependencies in the engine not needed for Bos Wars
  (Jimmy Salmon, Francois Beerten)
- Fixed crash when the ai builds a large, non-square building (Jimmy Salmon)
- Make the engine use the current dir as the data dir (Francois Beerten)
- Merged the Stratagus Engine into the project (Francois Beerten)
- Show map size in the menus (Frank Loeffler)
- Added danish translation (Bent Jakobsen)
- Fix map lake.smp (Francois Beerten)
- Fix extra OK button in sound options menu (Francois Beerten)

The Stratagus engine got merged into Bos Wars. 
The file doc/stratagus-changeLog.html contains the list of changes 
made in Stratagus before the merge.

Change log for Invasion: Battle of Survival
-------------------------------------------
"Invasion: Battle of Survival" was the old name of Bos Wars.

Version 2.0.1 (2006 12 17):
- Updated french and "english" stratagus translations (Francois Beerten)
- Fix allowed units in the elites campaign (Francois Beerten)

Version 2.0 (2006 12 9):
- Improved exit buttons and menu layout (Encolpe Degoute, Francois Beerten)
- Updated french and german translations (Encolpe Degoute, Frank Loeffler)
- Engineers cannot repair aircraft (Francois Beerten)
- Speed up player leaving in multiplayer games (Francois Beerten)
- Fixed bug #18333: Can't scroll to north-east using mouse cursor (Francois Beerten)
- Added a tutorial campaign (Francois Beerten)
- Added "help" messages in the tutorial (Francois Beerten and Rob Dawson)
- Many bug fixes

Version 2.0 Alpha (2006 11 2):
- New map WetLands01 (Lois Taulelle)
- Added new voices for new units (Lois Taulelle)
- New Tutorial Base Map (Francois Beerten)
- New Briefing screens (Francois Beerten)
- New in-game menus (Jimmy Salmon, Francois Beerten)
- Added translations (various authors)
- New Victory and Defeat screens (Tejay Penfold, Francois Beerten)
- New Multiplayer menus (Francois Beerten)
- New background images (Tejay Penfold, p0ng)
- Added completly new guichan based menus (Francois Beerten, Jimmy Salmon)
- Added New Button Format (Tejay Penfold)
- Added Nuclear Power Plant (Tejay Penfold, p0ng)
- Added new building corpses (Tejay Penfold)
- New graphics for the power generator unit (p0ng, Tejay Penfold)
- New graphics for the dev yard (Tejay Penfold)
- Add Jet and Bomber units (Tejay Penfold, Francois Beerten)
- Add Cannon unit (Tejay Penfold, Francois Beerten)
- Add Chopper unit (Tejay Penfold, Francois Beerten)
- Add Antharus unit (Francois Beerten)
- New Vehicle factory graphics (p0ng, Tejay Penfold)
- New Vault graphics (p0ng, Tejay Penfold)
- New Bridge map (Tejay Penfold, Francois Beerten)
- New Missile Silo graphics (p0ng, Tejay Penfold)
- New Research Factory graphics (p0ng, Tejay Penfold)
- Added extra trees (Tejay Penfold, Francois Beerten)
- Add sounds for Gun Turret unit (Lois Taulelle)
- New Gun Turret graphics (Lois Taulelle, Francois Beerten, Tejay Penfold)
- New hospital graphics (p0ng, Tejay Penfold)
- Added Island map with roads and of course water (Tejay Penfold, Francois Beerten)
- Added River image-based map. (Tejay Penfold, Francois Beerten)
- Added Battlefield image-based map. (Francois Beerten)
- Added a helper function for image-based maps. (Francois Beerten)
- New units directory with automatic loading of the units. (Francois Beerten)
- Added new map Antarticum. (Francois Beerten)
- List all available campaigns in the campaigns directory automatically. (Francois Beerten)
- Added the elites campaign. (Lois Taulelle)
- Improved the graphical look of the in-game interface. (Francois Beerten)
- Moved init and exit functions from DefineMenuItem 
  to DefineMenu. (Francois Beerten)
- Use GetNumOpponents instead of IfOpponents. (Francois Beerten)
- Removed attack sound entry in unit definitions. (Francois Beerten)
- Conversion of all animations to the new format. (Lois Taulelle)
- Added artil unit. (Tejay Penfold, Lois Taulelle, Francois Beerten)
- Added rocket tank unit. (Tejay Penfold, Lois Taulelle, Francois Beerten)
- Added tank unit. (Tejay Penfold, Lois Taulelle, Francois Beerten)
- Added sounds for the camera and radar unit. (micahf)
- Replaced assault attack sound with a bearable one. (micahf)
- Added tree unit. (Tejay Penfold, Francois Beerten)
- Playlist created dynamically with music files found in 
  the music subdirectory. (Francois Beerten)
- Added radar unit. (Francois Beerten)
- Added camera unit. (Frank Loeffler)
- Make ingame text fit nicely in panels. (Francois Beerten)
- Updated scripts to use DefineButtonStyle as required by newer 
  Stratagus engine. (Jimmy Salmon, Francois Beerten)
- Fixed maximum width for chat on the status line. (Francois Beerten)
- Made the sound of the attacking assault unit weaker. 
  The sound is bearable now. (Francois Beerten)
- Fixed bug #8880 where an APC could load another APC. (Francois Beerten)

For changes up to version 1.1 see the CVS repository 
at https://savannah.nongnu.org/cvs/?group=stratagus-bos.

